## org.apache.batik.util.gui
Class DOMViewer.Panel

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      org.apache.batik.util.gui.DOMViewer.Panel

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

Enclosing class:
  DOMViewer

public static class DOMViewer.Panel
extends javax.swing.JPanel

The panel that contains the viewer.

See Also:
  Serialized Form

Nested Class Summary
`protected class` `DOMViewer.Panel.DOMTreeSelectionListener` To listen to the tree selection.
`protected class` `DOMViewer.Panel.NodeAttributesModel` To display the attributes of a DOM node attributes in a table.
`protected class` `DOMViewer.Panel.NodeCSSValuesModel` To display the CSS properties of a DOM node in a table.
`protected static class` `DOMViewer.Panel.NodeInfo` To store the nodes informations
`protected class` `DOMViewer.Panel.NodeRenderer` To render the tree nodes.

Nested classes inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`protected javax.swing.JTable` `attributesTable` The attributes table.
`protected javax.swing.JTextArea` `characterData` The CharacterData panel text area.
`protected javax.swing.JPanel` `characterDataPanel` The CharacterData node panel.
`protected org.w3c.dom.Document` `document` The DOM document.
`protected javax.swing.JTextArea` `documentInfo` The documentInfo panel text area.
`protected javax.swing.JPanel` `documentInfoPanel` The documentInfo node panel.
`protected javax.swing.JPanel` `elementPanel` The element panel.
`protected javax.swing.JTable` `propertiesTable` The properties table.
`protected javax.swing.JPanel` `rightPanel` The right panel.
`protected javax.swing.JSplitPane` `splitPane` The split pane.
`protected javax.swing.JTree` `tree` The tree.
`protected org.w3c.dom.css.ViewCSS` `viewCSS` The ViewCSS object associated with the document.

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`DOMViewer.Panel()` Creates a new Panel object.

Method Summary
`protected static javax.swing.tree.MutableTreeNode` `createTree(org.w3c.dom.Node node)` Creates a swing tree from a DOM document.
`void` `setDocument(org.w3c.dom.Document doc)` Sets the document to display.
`void` `setDocument(org.w3c.dom.Document doc, org.w3c.dom.css.ViewCSS view)` Sets the document to display and its ViewCSS.

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent

`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### document

    protected org.w3c.dom.Document document

  The DOM document.

### viewCSS

    protected org.w3c.dom.css.ViewCSS viewCSS

  The ViewCSS object associated with the document.

### tree

    protected javax.swing.JTree tree

  The tree.

### splitPane

    protected javax.swing.JSplitPane splitPane

  The split pane.

### rightPanel

    protected javax.swing.JPanel rightPanel

  The right panel.

### attributesTable

    protected javax.swing.JTable attributesTable

  The attributes table.

### propertiesTable

    protected javax.swing.JTable propertiesTable

  The properties table.

### elementPanel

    protected javax.swing.JPanel elementPanel

  The element panel.

### characterData

    protected javax.swing.JTextArea characterData

  The CharacterData panel text area.

### characterDataPanel

    protected javax.swing.JPanel characterDataPanel

  The CharacterData node panel.

### documentInfo

    protected javax.swing.JTextArea documentInfo

  The documentInfo panel text area.

### documentInfoPanel

    protected javax.swing.JPanel documentInfoPanel

  The documentInfo node panel.

Constructor Detail

### DOMViewer.Panel

    public DOMViewer.Panel()

  Creates a new Panel object.

Method Detail

### setDocument

    public void setDocument(org.w3c.dom.Document doc)

  Sets the document to display.

### setDocument

    public void setDocument(org.w3c.dom.Document doc,
                            org.w3c.dom.css.ViewCSS view)

  Sets the document to display and its ViewCSS.

### createTree

    protected static javax.swing.tree.MutableTreeNode createTree(org.w3c.dom.Node node)

  Creates a swing tree from a DOM document.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.